org.springframework.data.mapping.model

## Interface ParameterValueProvider<P extends PersistentProperty<P>>

All Known Implementing Classes:
  PersistentEntityParameterValueProvider, SpELExpressionParameterValueProvider

    public interface ParameterValueProvider<P extends PersistentProperty<P>>

Callback interface to lookup values for a given `PreferredConstructor.Parameter`.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getParameterValue(PreferredConstructor.Parameter<T,P> parameter)` Returns the value to be used for the given `PreferredConstructor.Parameter` (usually when entity instances are created).

### Method Detail

#### getParameterValue

    @Nullable
    <T> T getParameterValue(PreferredConstructor.Parameter<T,P> parameter)

Returns the value to be used for the given `PreferredConstructor.Parameter` (usually when entity instances are created).

Parameters:
  `parameter` - must not be null.
Returns: